Yet Another HTTP Library: YaHTTP::URL Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
YaHTTP::URL Class Reference

`#include <url.hpp>`

## Public Member Functions
std::string | to_string () const
| URL ()
| URL (const std::string &url)
| URL (const char *url)
bool | parse (const std::string &url)

## Public Attributes
std::string | protocol
std::string | host
int | port
std::string | username
std::string | password
std::string | path
std::string | parameters
std::string | anchor
bool | pathless

## Private Member Functions
bool | parseSchema (const std::string &url, size_t &pos)
bool | parseHost (const std::string &url, size_t &pos)
bool | parseUserPass (const std::string &url, size_t &pos)
bool | parsePath (const std::string &url, size_t &pos)
bool | parseParameters (const std::string &url, size_t &pos)
bool | parseAnchor (const std::string &url, size_t &pos)
void | initialize ()

## Friends
std::ostream & | operator<< (std::ostream &os, const URL &url)

## Detailed Description

URL parser and container

## Constructor & Destructor Documentation

YaHTTP::URL::URL | ( |  | ) |
| inline

YaHTTP::URL::URL | ( | const std::string & | url | ) |
| inline

YaHTTP::URL::URL | ( | const char * | url | ) |
| inline

## Member Function Documentation

void YaHTTP::URL::initialize | ( |  | ) |
| inlineprivate

bool YaHTTP::URL::parse | ( | const std::string & | url | ) |
| inline

bool YaHTTP::URL::parseAnchor | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

bool YaHTTP::URL::parseHost | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

bool YaHTTP::URL::parseParameters | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

bool YaHTTP::URL::parsePath | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

bool YaHTTP::URL::parseSchema | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

bool YaHTTP::URL::parseUserPass | ( | const std::string & | url,
|  | size_t & | pos
| ) |  |
| inlineprivate

std::string YaHTTP::URL::to_string | ( |  | ) | const
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const URL & | url
| ) |  |
| friend

## Member Data Documentation

std::string YaHTTP::URL::anchor

std::string YaHTTP::URL::host

std::string YaHTTP::URL::parameters

std::string YaHTTP::URL::password

std::string YaHTTP::URL::path

bool YaHTTP::URL::pathless

int YaHTTP::URL::port

std::string YaHTTP::URL::protocol

std::string YaHTTP::URL::username

The documentation for this class was generated from the following file:

- /home/cmouse/projects/libyahttp/yahttp/url.hpp